id: steam-phish

info:
  name: steam phishing Detection
  author: rxerium
  severity: info
  description: |
    A steam phishing website was detected
  reference:
    - https://steampowered.com
  metadata:
    max-request: 1
  tags: phishing,steam,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Welcome to Steam'
          - 'Steam is the ultimate destination for playing, discussing, and creating games.'
        condition: and


      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"steampowered.com")'
# digest: 4b0a00483046022100cf10877ca9b25edaf2142c6d93905db2d9a3ea78a06c01a5bf5ed01b14eb0f3e022100d721441556cc9df9b4f2e017d5caba4029a31694f27e6852240e612c32efd631:922c64590222798bb761d5b6d8e72950